Bug 238231 - net/freeswitch: Update to 1.8.5
Summary: net/freeswitch: Update to 1.8.5
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Only Me
Assignee: Kai Knoblich
URL: https://freeswitch.org/confluence/dis...
Keywords:
Depends on:
Blocks:
 
Reported: 2019-05-30 00:44 UTC by Richard Allen
Modified: 2019-08-03 21:21 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (corsmith)


Attachments
svn diff from freeswitch 1.8.1 to 1.8.5 and new build options (20.48 KB, patch)
2019-05-30 00:44 UTC, Richard Allen
no flags Details | Diff
freeswitch-1.8.5-revised.patch (19.23 KB, patch)
2019-07-20 14:13 UTC, Kai Knoblich
kai: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Richard Allen 2019-05-30 00:44:59 UTC
Created attachment 204708 [details]
svn diff from freeswitch 1.8.1 to 1.8.5 and new build options

Attached is a svn diff file to update freeswitch

svn add files/patch-src_switch__utils.c #fix Auto IP address detection issues. see (https://freeswitch.org/jira/browse/FS-10581)

svn rm files/patch-ffmpeg4 # no longer required

Makefile was update to build freeswitch 1.8.5
New options were also added...

New option to enable PostgreSQL support for FusionPBX. (enabled by default)

New language options for Canada-English, Brazilian-Portuguese, Swedish, Chinese-Simplified and Chinese Hong Kong.
Comment 1 Kai Knoblich freebsd_committer 2019-07-20 14:13:57 UTC
Created attachment 205935 [details]
freeswitch-1.8.5-revised.patch

(In reply to Richard Allen from comment #0)

Hi Richard,

thank you for your work. It took some time but your patch is near to land. 

I did some clean-up, converted the POSTGRESQL option to the modern options framework and renamed it to PGSQL as it's the default name when a port uses PostgreSQL related stuff. It pulls then the description automatically from bsd.options.desc.mk .

At last but not least I modified the pkg-plist to avoid errors when the port is built with the option ALL_MODULES.

I have only one question before I'll commit your patch: Is PostgreSQL v10 the minimum requirement? It compiles without problems with the currently default version in the Ports tree (= 9.5).
Comment 2 commit-hook freebsd_committer 2019-07-28 17:12:38 UTC
A commit references this bug:

Author: kai
Date: Sun Jul 28 17:11:36 UTC 2019
New revision: 507516
URL: https://svnweb.freebsd.org/changeset/ports/507516

Log:
  net/freeswitch: Update to 1.8.5

  * Introduce new option PGSQL and make it as default one to enable support
    for PostgreSQL database backends
  * Also add options for further languages (Brazilian, Chinese and Swedish)
  * Correct the description and variables for the Franco-Canadian language
  * Remove the now obsolete patch for ffmpeg4 that was added in r468853
  * Add a patch to fix the automatic IP address detection with FreeBSD [2]
    which prevents the start of SIP profiles.
  * Reset the maintainer due three months of inactivity [2] and missing
    feedback for the actual bug report [1].

  PR:		238231 [1], 237268 [2]
  Submitted by:	Richard Allen <richard2891@gmail.com> [1] [2]
  Approved by:	maintainer timeout (1.5+ months [1], +3 months [2])

Changes:
  head/net/freeswitch/Makefile
  head/net/freeswitch/distinfo
  head/net/freeswitch/files/extrapatch-modules.conf
  head/net/freeswitch/files/patch-ffmpeg4
  head/net/freeswitch/files/patch-src_switch__utils.c
  head/net/freeswitch/pkg-plist
Comment 3 Kai Knoblich freebsd_committer 2019-07-28 17:21:17 UTC
(In reply to Richard Allen from comment #0)

Committed, once again thank you for the patch and the work. Because I haven't heard anything yet from you regarding the PostgreSQL requirements I'll leave this PR open for a few day.

Maybe you also want to become maintainer of this port? The previous maintainer seems missing in action.
Comment 4 Kai Knoblich freebsd_committer 2019-08-03 21:20:43 UTC
Comment on attachment 205935 [details]
freeswitch-1.8.5-revised.patch

Approved by: maintainer timeout (1.5+ months)
Comment 5 Kai Knoblich freebsd_committer 2019-08-03 21:21:40 UTC
Cleaned up a bit and closing this PR now.